Productsup
CDE APIApi referenceManagement

Update defaults targets an organization, such as platform account/project/site for dev or prod.

Sign in to run requests against the CDE API.
PUT
/defaults/organizations/{organizationId}

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

organizationId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/defaults/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "dev-defaults": {      "account": 1,      "project": 2    },    "prod-defaults": {      "accounts": [        11,        12      ],      "projects": [        21,        22      ],      "sites": [        31,        32      ]    }  }'
{
  "message": "Successfully updated organization default targets.",
  "resource": "organization",
  "data": {
    "uuid": "019e16f3-9de8-7271-a877-08aa5a795af7",
    "name": "Organization 0cc40d12-4d6c-495e-a2a4-d5a017e96157",
    "connectors-limit": 10,
    "members": [],
    "notification-config": null,
    "dev-defaults": {
      "account": 1,
      "project": 2
    },
    "prod-defaults": {
      "accounts": [
        11,
        12
      ],
      "projects": [
        21,
        22
      ],
      "sites": [
        31,
        32
      ]
    }
  }
}
{
  "message": "Bad request.",
  "errors": {
    "dev-defaults.account": "This value should be greater than 0.",
    "dev-defaults.project": "This value should be greater than 0.",
    "prod-defaults.accounts": "All values must be integers greater than 0.",
    "prod-defaults.projects": "All values must be integers greater than 0.",
    "prod-defaults.sites": "All values must be integers greater than 0."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?